nn.pp.core

## Class ErrorCodes

- java.lang.Object
- - nn.pp.core.ErrorCodes

-     public class ErrorCodes
      extends java.lang.Object

  Protocol error code definitions

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PP_ERR_AKC_NO_COOKIE_PASSED` auto generated error code
    `static int` | `PP_ERR_AKC_NO_SID_IN_URL` auto generated error code
    `static int` | `PP_ERR_AKC_SID_TIMEOUT` auto generated error code
    `static int` | `PP_ERR_CRP_ALREADY_CONNECTED` auto generated error code
    `static int` | `PP_ERR_CRP_AUTH_FAILED` auto generated error code
    `static int` | `PP_ERR_CRP_CONN_FAILED` auto generated error code
    `static int` | `PP_ERR_CRP_INTERNAL_ERROR` auto generated error code
    `static int` | `PP_ERR_CRP_MM_SSH_CONN_FAILED` auto generated error code
    `static int` | `PP_ERR_CRP_NO_PERMISSION` auto generated error code
    `static int` | `PP_ERR_CRP_NO_SUCH_MS_INDEX` auto generated error code
    `static int` | `PP_ERR_CRP_NOT_AVAILABLE` auto generated error code
    `static int` | `PP_ERR_CRP_NOT_AVAILABLE_BLADE_CHASSIS` auto generated error code
    `static int` | `PP_ERR_CRP_PROTOCOL_ERROR` auto generated error code
    `static int` | `PP_ERR_CRP_SHARE_DENIED` auto generated error code
    `static int` | `PP_ERR_DRVREDIR_DRIVE_NOT_SUPPORTED` auto generated error code
    `static int` | `PP_ERR_DRVREDIR_DRIVE_OPEN_ERROR` auto generated error code
    `static int` | `PP_ERR_DRVREDIR_DRV_TYPE_NOT_SUPP` auto generated error code
    `static int` | `PP_ERR_DRVREDIR_IO_ERROR` auto generated error code
    `static int` | `PP_ERR_DRVREDIR_LOCK_FAILED` auto generated error code
    `static int` | `PP_ERR_DRVREDIR_NO_MEDIUM` auto generated error code
    `static int` | `PP_ERR_DRVREDIR_UNKNOWN_ERROR` auto generated error code
    `static int` | `PP_ERR_MSP_ALREADY_CONNECTED` auto generated error code
    `static int` | `PP_ERR_MSP_ALREADY_IMAGE` auto generated error code
    `static int` | `PP_ERR_MSP_AUDIO_ALREADY_OTHER_SESSION` auto generated error code
    `static int` | `PP_ERR_MSP_AUTH_FAILED` auto generated error code
    `static int` | `PP_ERR_MSP_INTERNAL_ERROR` auto generated error code
    `static int` | `PP_ERR_MSP_MM_SSH_CONN_FAILED` auto generated error code
    `static int` | `PP_ERR_MSP_NO_KERBEROS` auto generated error code
    `static int` | `PP_ERR_MSP_NO_PERMISSION` auto generated error code
    `static int` | `PP_ERR_MSP_NO_SUCH_MS_INDEX` auto generated error code
    `static int` | `PP_ERR_MSP_NO_WRITE_PERMISSION` auto generated error code
    `static int` | `PP_ERR_MSP_NOT_AVAILABLE` auto generated error code
    `static int` | `PP_ERR_MSP_NOT_AVAILABLE_BLADE_CHASSIS` auto generated error code
    `static int` | `PP_ERR_MSP_PROTOCOL_ERROR` auto generated error code
    `static int` | `PP_ERR_MSP_VM_ALREADY_OTHER_SESSION` auto generated error code
    `static int` | `PP_ERR_MSP_VM_SHARE_DENIED` auto generated error code
    `static int` | `PP_ERR_RAP_ALREADY_CONNECTED` auto generated error code
    `static int` | `PP_ERR_RAP_AUTH_FAILED` auto generated error code
    `static int` | `PP_ERR_RAP_CONN_FAILED` auto generated error code
    `static int` | `PP_ERR_RAP_INTERNAL_ERROR` auto generated error code
    `static int` | `PP_ERR_RAP_INVALID_SETTINGS` auto generated error code
    `static int` | `PP_ERR_RAP_NO_PERMISSION` auto generated error code
    `static int` | `PP_ERR_RAP_NO_SUCH_MS_INDEX` auto generated error code
    `static int` | `PP_ERR_RAP_NOT_AVAILABLE` auto generated error code
    `static int` | `PP_ERR_RAP_PROTOCOL_ERROR` auto generated error code
    `static int` | `PP_ERR_RAP_SHARE_DENIED` auto generated error code
    `static int` | `PP_ERR_RAP_TB_NO_FULLACCESS` auto generated error code
    `static int` | `PP_ERR_RAP_VM_ALREADY_OTHER_SESSION` auto generated error code
    `static int` | `PP_ERR_RFB_ALL_LINKS_BUSY` auto generated error code
    `static int` | `PP_ERR_RFB_AUTH_FAILED` auto generated error code
    `static int` | `PP_ERR_RFB_BAD_PROTO_VER` auto generated error code
    `static int` | `PP_ERR_RFB_CLIENT_LOST` auto generated error code
    `static int` | `PP_ERR_RFB_EXCL_ACCESS` auto generated error code
    `static int` | `PP_ERR_RFB_INTERNAL_ERROR` auto generated error code
    `static int` | `PP_ERR_RFB_KVM_PORT_DENIED` auto generated error code
    `static int` | `PP_ERR_RFB_MM_SSH_CONN_FAILED` auto generated error code
    `static int` | `PP_ERR_RFB_NO_PERM` auto generated error code
    `static int` | `PP_ERR_RFB_NO_SRV_PASSWD` auto generated error code
    `static int` | `PP_ERR_RFB_NO_SSL_CONN` auto generated error code
    `static int` | `PP_ERR_RFB_PORT_CONNECT_FAILED` auto generated error code
    `static int` | `PP_ERR_RFB_POWER_DENIED` auto generated error code
    `static int` | `PP_ERR_RFB_POWER_FAILED` auto generated error code
    `static int` | `PP_ERR_RFB_POWER_IN_PROGRESS` auto generated error code
    `static int` | `PP_ERR_RFB_PROTO_ERROR` auto generated error code
    `static int` | `PP_ERR_RFB_REMOTE_ACCESS_DENIED` auto generated error code
    `static int` | `PP_ERR_RFB_SWITCH_AUDIO_SHARE_DENIED` auto generated error code
    `static int` | `PP_ERR_RFB_SWITCHING_VM_SHARE_DENIED` auto generated error code
    `static int` | `PP_ERR_RFB_TOO_MANY_CLIENTS` auto generated error code
    `static int` | `PP_ERR_RFB_TOO_MANY_VM_CLIENTS` auto generated error code
    `static int` | `PP_ERR_RFB_UNEXPECTED` auto generated error code
    `static int` | `PP_ERR_RFB_USB_PROFILE_NOT_APPLICABLE` auto generated error code
    `static int` | `PP_ERR_RFB_USB_PROFILE_SWITCH_DENIED` auto generated error code
    `static int` | `PP_ERR_RFB_VIDEO_RAW_FB_DENIED` auto generated error code
    `static int` | `PP_ERR_RFB_VIDEO_RAW_FB_FAILED` auto generated error code
    `static int` | `PP_ERR_RFB_VM_ALREADY_OTHER_SESSION` auto generated error code
    `static int` | `PP_ERR_RFB_VM_DRIVE_BUSY` auto generated error code
    `static int` | `PP_ERR_RFB_VM_MFS_BAD_PARAMETER` auto generated error code
    `static int` | `PP_ERR_RFB_VM_MFS_CONN_DENIED` auto generated error code
    `static int` | `PP_ERR_RFB_VM_MFS_CONN_FAILED` auto generated error code
    `static int` | `PP_ERR_RFB_VM_PERMISSION_DENIED` auto generated error code
    `static int` | `PP_ERR_RFB_VM_SHARE_DENIED` auto generated error code
    `static int` | `PP_ERR_RSP_AUTH_FAILED` auto generated error code
    `static int` | `PP_ERR_RSP_INTERNAL_ERROR` auto generated error code
    `static int` | `PP_ERR_RSP_NO_PERMISSION` auto generated error code
    `static int` | `PP_ERR_RSP_PROTOCOL_ERROR` auto generated error code
    `static int` | `PP_ERR_SXP_EXCL_ACCESS` auto generated error code
    `static int` | `PP_ERR_SXP_INVALID_REQUEST` auto generated error code
    `static int` | `PP_ERR_SXP_NETWORK_READ_ERROR` auto generated error code
    `static int` | `PP_ERR_SXP_NETWORK_WRITE_ERROR` auto generated error code
    `static int` | `PP_ERR_SXP_NOT_VALID_SERIAL_PORT` auto generated error code
    `static int` | `PP_ERR_SXP_PORT_CANNOT_SEARCH_BY_NAME` auto generated error code
    `static int` | `PP_ERR_SXP_PORT_INVALID` auto generated error code
    `static int` | `PP_ERR_SXP_PORT_NOT_SPECIFIED` auto generated error code
    `static int` | `PP_ERR_SXP_PORT_PERMISSION_DENIED` auto generated error code
    `static int` | `PP_ERR_SXP_PORT_TOO_MANY_CLIENTS` auto generated error code
    `static int` | `PP_ERR_SXP_PORT_UNAVAILABLE` auto generated error code
    `static int` | `PP_ERR_SXP_UNKNOWN` auto generated error code
    `static int` | `PP_INFO_CRP_OK` auto generated error code
    `static int` | `PP_INFO_CRP_QUIT_DEVICE_CANCELLED` auto generated error code
    `static int` | `PP_INFO_CRP_QUIT_USER_CANCELLED` auto generated error code
    `static int` | `PP_INFO_DRVREDIR_OK` auto generated error code
    `static int` | `PP_INFO_MSP_OK` auto generated error code
    `static int` | `PP_INFO_MSP_QUIT_DEVICE_CANCELLED` auto generated error code
    `static int` | `PP_INFO_MSP_QUIT_USER_CANCELLED` auto generated error code
    `static int` | `PP_INFO_RAP_MIC_STREAM_OFF` auto generated error code
    `static int` | `PP_INFO_RAP_MIC_STREAM_ON` auto generated error code
    `static int` | `PP_INFO_RAP_OK` auto generated error code
    `static int` | `PP_INFO_RAP_QUIT_DEVICE_CANCELLED` auto generated error code
    `static int` | `PP_INFO_RAP_QUIT_USER_CANCELLED` auto generated error code
    `static int` | `PP_INFO_RAP_SPK_STREAM_OFF` auto generated error code
    `static int` | `PP_INFO_RAP_SPK_STREAM_ON` auto generated error code
    `static int` | `PP_INFO_RFB_DISCONNECT_CONN` auto generated error code
    `static int` | `PP_INFO_RFB_DISCONNECT_FORCE_CONN` auto generated error code
    `static int` | `PP_INFO_RFB_POWER_COMPLETED` auto generated error code
    `static int` | `PP_INFO_RFB_SWITCH_COMPLETED` auto generated error code
    `static int` | `PP_INFO_RFB_VM_DRIVE_1_DISCONNECTED` auto generated error code
    `static int` | `PP_INFO_RFB_VM_DRIVE_2_DISCONNECTED` auto generated error code
    `static int` | `PP_INFO_RFB_VM_DRIVE_3_DISCONNECTED` auto generated error code
    `static int` | `PP_INFO_RFB_VM_DRIVE_4_DISCONNECTED` auto generated error code
    `static int` | `PP_INFO_RFB_VM_OK` auto generated error code
    `static int` | `PP_INFO_RSP_OK` auto generated error code
    `static int` | `PP_INFO_RSP_QUIT_DEVICE_CANCELLED` auto generated error code
    `static int` | `PP_INFO_RSP_QUIT_USER_CANCELLED` auto generated error code
    `static int` | `PP_WARN_DRVREDIR_MEDIUM_CHANGING` auto generated error code
    `static int` | `PP_WARN_MSP_OK_BUT_USB_DOWN` auto generated error code
    `static int` | `PP_WARN_RAP_OK_BUT_USB_DOWN` auto generated error code
    `static int` | `PP_WARN_RFB_CIM_FW_UPGRADE_AVAILABLE` auto generated error code
    `static int` | `PP_WARN_RFB_USB_DOWN` auto generated error code
    `static int` | `PP_WARN_RFB_USB_PROFILE_NOT_PREFERRED` auto generated error code
    `static int` | `PP_WARN_RFB_VM_OK_BUT_USB_DOWN` auto generated error code

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorCodes()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PP_ERR_RFB_NO_PERM

          public static final int PP_ERR_RFB_NO_PERM

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_NO_SRV_PASSWD

          public static final int PP_ERR_RFB_NO_SRV_PASSWD

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_AUTH_FAILED

          public static final int PP_ERR_RFB_AUTH_FAILED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_RFB_VM_OK

          public static final int PP_INFO_RFB_VM_OK

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_TOO_MANY_VM_CLIENTS

          public static final int PP_ERR_RFB_TOO_MANY_VM_CLIENTS

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_VM_MFS_CONN_FAILED

          public static final int PP_ERR_RFB_VM_MFS_CONN_FAILED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_VM_MFS_CONN_DENIED

          public static final int PP_ERR_RFB_VM_MFS_CONN_DENIED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_VM_SHARE_DENIED

          public static final int PP_ERR_RFB_VM_SHARE_DENIED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_VM_MFS_BAD_PARAMETER

          public static final int PP_ERR_RFB_VM_MFS_BAD_PARAMETER

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_VM_DRIVE_BUSY

          public static final int PP_ERR_RFB_VM_DRIVE_BUSY

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_VM_PERMISSION_DENIED

          public static final int PP_ERR_RFB_VM_PERMISSION_DENIED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_VM_ALREADY_OTHER_SESSION

          public static final int PP_ERR_RFB_VM_ALREADY_OTHER_SESSION

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_RFB_VM_DRIVE_1_DISCONNECTED

          public static final int PP_INFO_RFB_VM_DRIVE_1_DISCONNECTED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_RFB_VM_DRIVE_2_DISCONNECTED

          public static final int PP_INFO_RFB_VM_DRIVE_2_DISCONNECTED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_RFB_VM_DRIVE_3_DISCONNECTED

          public static final int PP_INFO_RFB_VM_DRIVE_3_DISCONNECTED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_RFB_VM_DRIVE_4_DISCONNECTED

          public static final int PP_INFO_RFB_VM_DRIVE_4_DISCONNECTED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_WARN_RFB_VM_OK_BUT_USB_DOWN

          public static final int PP_WARN_RFB_VM_OK_BUT_USB_DOWN

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_EXCL_ACCESS

          public static final int PP_ERR_RFB_EXCL_ACCESS

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_KVM_PORT_DENIED

          public static final int PP_ERR_RFB_KVM_PORT_DENIED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_TOO_MANY_CLIENTS

          public static final int PP_ERR_RFB_TOO_MANY_CLIENTS

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_PORT_CONNECT_FAILED

          public static final int PP_ERR_RFB_PORT_CONNECT_FAILED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_ALL_LINKS_BUSY

          public static final int PP_ERR_RFB_ALL_LINKS_BUSY

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_SWITCHING_VM_SHARE_DENIED

          public static final int PP_ERR_RFB_SWITCHING_VM_SHARE_DENIED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_WARN_RFB_USB_DOWN

          public static final int PP_WARN_RFB_USB_DOWN

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_WARN_RFB_CIM_FW_UPGRADE_AVAILABLE

          public static final int PP_WARN_RFB_CIM_FW_UPGRADE_AVAILABLE

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_MM_SSH_CONN_FAILED

          public static final int PP_ERR_RFB_MM_SSH_CONN_FAILED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_RFB_SWITCH_COMPLETED

          public static final int PP_INFO_RFB_SWITCH_COMPLETED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_SWITCH_AUDIO_SHARE_DENIED

          public static final int PP_ERR_RFB_SWITCH_AUDIO_SHARE_DENIED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_REMOTE_ACCESS_DENIED

          public static final int PP_ERR_RFB_REMOTE_ACCESS_DENIED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_VIDEO_RAW_FB_DENIED

          public static final int PP_ERR_RFB_VIDEO_RAW_FB_DENIED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_VIDEO_RAW_FB_FAILED

          public static final int PP_ERR_RFB_VIDEO_RAW_FB_FAILED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_RFB_POWER_COMPLETED

          public static final int PP_INFO_RFB_POWER_COMPLETED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_POWER_FAILED

          public static final int PP_ERR_RFB_POWER_FAILED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_POWER_DENIED

          public static final int PP_ERR_RFB_POWER_DENIED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_POWER_IN_PROGRESS

          public static final int PP_ERR_RFB_POWER_IN_PROGRESS

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_USB_PROFILE_SWITCH_DENIED

          public static final int PP_ERR_RFB_USB_PROFILE_SWITCH_DENIED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_WARN_RFB_USB_PROFILE_NOT_PREFERRED

          public static final int PP_WARN_RFB_USB_PROFILE_NOT_PREFERRED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_USB_PROFILE_NOT_APPLICABLE

          public static final int PP_ERR_RFB_USB_PROFILE_NOT_APPLICABLE

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_UNEXPECTED

          public static final int PP_ERR_RFB_UNEXPECTED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_BAD_PROTO_VER

          public static final int PP_ERR_RFB_BAD_PROTO_VER

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_PROTO_ERROR

          public static final int PP_ERR_RFB_PROTO_ERROR

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_INTERNAL_ERROR

          public static final int PP_ERR_RFB_INTERNAL_ERROR

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_CLIENT_LOST

          public static final int PP_ERR_RFB_CLIENT_LOST

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RFB_NO_SSL_CONN

          public static final int PP_ERR_RFB_NO_SSL_CONN

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_RFB_DISCONNECT_CONN

          public static final int PP_INFO_RFB_DISCONNECT_CONN

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_RFB_DISCONNECT_FORCE_CONN

          public static final int PP_INFO_RFB_DISCONNECT_FORCE_CONN

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_MSP_AUTH_FAILED

          public static final int PP_ERR_MSP_AUTH_FAILED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_MSP_NO_PERMISSION

          public static final int PP_ERR_MSP_NO_PERMISSION

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_MSP_NO_WRITE_PERMISSION

          public static final int PP_ERR_MSP_NO_WRITE_PERMISSION

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_MSP_NO_KERBEROS

          public static final int PP_ERR_MSP_NO_KERBEROS

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_MSP_NO_SUCH_MS_INDEX

          public static final int PP_ERR_MSP_NO_SUCH_MS_INDEX

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_MSP_NOT_AVAILABLE

          public static final int PP_ERR_MSP_NOT_AVAILABLE

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_MSP_ALREADY_CONNECTED

          public static final int PP_ERR_MSP_ALREADY_CONNECTED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_MSP_ALREADY_IMAGE

          public static final int PP_ERR_MSP_ALREADY_IMAGE

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_MSP_VM_SHARE_DENIED

          public static final int PP_ERR_MSP_VM_SHARE_DENIED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_MSP_VM_ALREADY_OTHER_SESSION

          public static final int PP_ERR_MSP_VM_ALREADY_OTHER_SESSION

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_MSP_MM_SSH_CONN_FAILED

          public static final int PP_ERR_MSP_MM_SSH_CONN_FAILED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_MSP_NOT_AVAILABLE_BLADE_CHASSIS

          public static final int PP_ERR_MSP_NOT_AVAILABLE_BLADE_CHASSIS

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_MSP_AUDIO_ALREADY_OTHER_SESSION

          public static final int PP_ERR_MSP_AUDIO_ALREADY_OTHER_SESSION

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_MSP_OK

          public static final int PP_INFO_MSP_OK

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_MSP_PROTOCOL_ERROR

          public static final int PP_ERR_MSP_PROTOCOL_ERROR

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_MSP_INTERNAL_ERROR

          public static final int PP_ERR_MSP_INTERNAL_ERROR

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_MSP_QUIT_USER_CANCELLED

          public static final int PP_INFO_MSP_QUIT_USER_CANCELLED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_MSP_QUIT_DEVICE_CANCELLED

          public static final int PP_INFO_MSP_QUIT_DEVICE_CANCELLED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_WARN_MSP_OK_BUT_USB_DOWN

          public static final int PP_WARN_MSP_OK_BUT_USB_DOWN

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_CRP_AUTH_FAILED

          public static final int PP_ERR_CRP_AUTH_FAILED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_CRP_NO_PERMISSION

          public static final int PP_ERR_CRP_NO_PERMISSION

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_CRP_NO_SUCH_MS_INDEX

          public static final int PP_ERR_CRP_NO_SUCH_MS_INDEX

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_CRP_NOT_AVAILABLE

          public static final int PP_ERR_CRP_NOT_AVAILABLE

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_CRP_ALREADY_CONNECTED

          public static final int PP_ERR_CRP_ALREADY_CONNECTED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_CRP_CONN_FAILED

          public static final int PP_ERR_CRP_CONN_FAILED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_CRP_SHARE_DENIED

          public static final int PP_ERR_CRP_SHARE_DENIED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_CRP_MM_SSH_CONN_FAILED

          public static final int PP_ERR_CRP_MM_SSH_CONN_FAILED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_CRP_NOT_AVAILABLE_BLADE_CHASSIS

          public static final int PP_ERR_CRP_NOT_AVAILABLE_BLADE_CHASSIS

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_CRP_OK

          public static final int PP_INFO_CRP_OK

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_CRP_PROTOCOL_ERROR

          public static final int PP_ERR_CRP_PROTOCOL_ERROR

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_CRP_INTERNAL_ERROR

          public static final int PP_ERR_CRP_INTERNAL_ERROR

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_CRP_QUIT_USER_CANCELLED

          public static final int PP_INFO_CRP_QUIT_USER_CANCELLED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_CRP_QUIT_DEVICE_CANCELLED

          public static final int PP_INFO_CRP_QUIT_DEVICE_CANCELLED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_DRVREDIR_OK

          public static final int PP_INFO_DRVREDIR_OK

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_DRVREDIR_UNKNOWN_ERROR

          public static final int PP_ERR_DRVREDIR_UNKNOWN_ERROR

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_DRVREDIR_DRIVE_OPEN_ERROR

          public static final int PP_ERR_DRVREDIR_DRIVE_OPEN_ERROR

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_DRVREDIR_NO_MEDIUM

          public static final int PP_ERR_DRVREDIR_NO_MEDIUM

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_DRVREDIR_IO_ERROR

          public static final int PP_ERR_DRVREDIR_IO_ERROR

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_DRVREDIR_DRV_TYPE_NOT_SUPP

          public static final int PP_ERR_DRVREDIR_DRV_TYPE_NOT_SUPP

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_DRVREDIR_LOCK_FAILED

          public static final int PP_ERR_DRVREDIR_LOCK_FAILED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_WARN_DRVREDIR_MEDIUM_CHANGING

          public static final int PP_WARN_DRVREDIR_MEDIUM_CHANGING

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_DRVREDIR_DRIVE_NOT_SUPPORTED

          public static final int PP_ERR_DRVREDIR_DRIVE_NOT_SUPPORTED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_SXP_PORT_PERMISSION_DENIED

          public static final int PP_ERR_SXP_PORT_PERMISSION_DENIED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_SXP_EXCL_ACCESS

          public static final int PP_ERR_SXP_EXCL_ACCESS

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_SXP_PORT_UNAVAILABLE

          public static final int PP_ERR_SXP_PORT_UNAVAILABLE

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_SXP_PORT_NOT_SPECIFIED

          public static final int PP_ERR_SXP_PORT_NOT_SPECIFIED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_SXP_PORT_INVALID

          public static final int PP_ERR_SXP_PORT_INVALID

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_SXP_NOT_VALID_SERIAL_PORT

          public static final int PP_ERR_SXP_NOT_VALID_SERIAL_PORT

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_SXP_PORT_CANNOT_SEARCH_BY_NAME

          public static final int PP_ERR_SXP_PORT_CANNOT_SEARCH_BY_NAME

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_SXP_PORT_TOO_MANY_CLIENTS

          public static final int PP_ERR_SXP_PORT_TOO_MANY_CLIENTS

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_SXP_INVALID_REQUEST

          public static final int PP_ERR_SXP_INVALID_REQUEST

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_SXP_NETWORK_READ_ERROR

          public static final int PP_ERR_SXP_NETWORK_READ_ERROR

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_SXP_NETWORK_WRITE_ERROR

          public static final int PP_ERR_SXP_NETWORK_WRITE_ERROR

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_SXP_UNKNOWN

          public static final int PP_ERR_SXP_UNKNOWN

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_AKC_NO_COOKIE_PASSED

          public static final int PP_ERR_AKC_NO_COOKIE_PASSED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_AKC_SID_TIMEOUT

          public static final int PP_ERR_AKC_SID_TIMEOUT

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_AKC_NO_SID_IN_URL

          public static final int PP_ERR_AKC_NO_SID_IN_URL

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RAP_AUTH_FAILED

          public static final int PP_ERR_RAP_AUTH_FAILED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RAP_NO_PERMISSION

          public static final int PP_ERR_RAP_NO_PERMISSION

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RAP_NO_SUCH_MS_INDEX

          public static final int PP_ERR_RAP_NO_SUCH_MS_INDEX

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RAP_NOT_AVAILABLE

          public static final int PP_ERR_RAP_NOT_AVAILABLE

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RAP_ALREADY_CONNECTED

          public static final int PP_ERR_RAP_ALREADY_CONNECTED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RAP_CONN_FAILED

          public static final int PP_ERR_RAP_CONN_FAILED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RAP_SHARE_DENIED

          public static final int PP_ERR_RAP_SHARE_DENIED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RAP_INVALID_SETTINGS

          public static final int PP_ERR_RAP_INVALID_SETTINGS

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RAP_VM_ALREADY_OTHER_SESSION

          public static final int PP_ERR_RAP_VM_ALREADY_OTHER_SESSION

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RAP_TB_NO_FULLACCESS

          public static final int PP_ERR_RAP_TB_NO_FULLACCESS

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_RAP_OK

          public static final int PP_INFO_RAP_OK

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RAP_PROTOCOL_ERROR

          public static final int PP_ERR_RAP_PROTOCOL_ERROR

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RAP_INTERNAL_ERROR

          public static final int PP_ERR_RAP_INTERNAL_ERROR

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_RAP_QUIT_USER_CANCELLED

          public static final int PP_INFO_RAP_QUIT_USER_CANCELLED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_RAP_QUIT_DEVICE_CANCELLED

          public static final int PP_INFO_RAP_QUIT_DEVICE_CANCELLED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_WARN_RAP_OK_BUT_USB_DOWN

          public static final int PP_WARN_RAP_OK_BUT_USB_DOWN

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_RAP_MIC_STREAM_ON

          public static final int PP_INFO_RAP_MIC_STREAM_ON

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_RAP_MIC_STREAM_OFF

          public static final int PP_INFO_RAP_MIC_STREAM_OFF

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_RAP_SPK_STREAM_ON

          public static final int PP_INFO_RAP_SPK_STREAM_ON

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_RAP_SPK_STREAM_OFF

          public static final int PP_INFO_RAP_SPK_STREAM_OFF

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RSP_AUTH_FAILED

          public static final int PP_ERR_RSP_AUTH_FAILED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RSP_NO_PERMISSION

          public static final int PP_ERR_RSP_NO_PERMISSION

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_RSP_OK

          public static final int PP_INFO_RSP_OK

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RSP_PROTOCOL_ERROR

          public static final int PP_ERR_RSP_PROTOCOL_ERROR

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_ERR_RSP_INTERNAL_ERROR

          public static final int PP_ERR_RSP_INTERNAL_ERROR

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_RSP_QUIT_USER_CANCELLED

          public static final int PP_INFO_RSP_QUIT_USER_CANCELLED

      auto generated error code
      See Also:
        Constant Field Values

    - #### PP_INFO_RSP_QUIT_DEVICE_CANCELLED

          public static final int PP_INFO_RSP_QUIT_DEVICE_CANCELLED

      auto generated error code
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ErrorCodes

          public ErrorCodes()

Copyright © 2025 Raritan Inc. All Rights Reserved.